Get States of a Kiosk

Purpose

To retrieve all the states along with the transition details configured in a specific Kiosk in Zoho CRM using the Kiosk ID. Each state represents a screen, action, decision, or GetRecords.

Prerequisite:
To obtain the Kiosk ID required for this request, use the Get Kiosks API.

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions.

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation  permission enabled.

Endpoints

  • GET /settings/kiosks/{kiosk_ID}/states
  • {kiosk_ID} : The unique ID of the Kiosk.

Request Details

Request URL

{api-domain}/crm/{version}/settings/kiosks/{kiosk_ID}/states

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.ALL
(or)
ZohoCRM.settings.kiosks.READ

Parameters

  • includestring, optional

    Specify additional properties to be included in the response for each Kiosk state. By default, the response returns only the basic metadata of each state which includes each state's id, name, and associated_fields.

    Possible values:

    configured_properties - Includes the configured_properties key in the response for each state, which holds the list of merge fields and other dynamic references that have been configured within that state. When a state has no such configured properties, the value is returned as null.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks/111111000000124466/states"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.xxxxxxxxxxxxx"

Response JSON

The response body contains a JSON object with a states array that lists all the states configured in the specified Kiosk.

  • idstring

    The unique ID of the state.

  • namestring

    The name of the state.

  • typestring

    The type of state in the Kiosk.

    Possible values:

    start_state - Represents the starting point of the Kiosk flow.

    screen - Represents a screen where fields are displayed.

    get_records - Retrieves records from a module.

    end_state - Represents the ending point of the Kiosk flow.

    action - Represents an action state.

    decision - Represents a decision state.

  • associated_fieldsJSON array

    The fields associated with the state. Each object in this array contains:

    • api_name string

      The API name of the associated field.

    • id string

      The unique ID of the associated field.

    • type string

      Specifies type of the associated field. This key is present only when the state is Screen
      Possible value: field

  • from_transitionJSON object

    Specifies the transition through which the current state is reached. It contains the name and id of that transition.

  • detailsJSON object

    Configuration details for the state. The structure of this object depends on the state type.

    • screen_detailsJSON array

      This key is present only when the state is of type Screen. It contains the configuration details of the screen. Each object in this array contains:

      • titlestring

        The title displayed at the top of the screen.

      • widthstring

        The width of the screen display.

        Possible values:

        670px

        1000px

      • button_align  string

        The alignment of action buttons on the screen.

        Possible values:

        right_to_left - Buttons are aligned from right to left.

        left_to_right - Buttons are aligned from left to right.

        center - Buttons are aligned to the center.

    • typestring

      Specifies the type of action state.

      Possible values:
      create_record
      quick_create_record
      convert
      open_record
      open_link
      add_meeting
      schedule_call
      assign_owner
      add_tags
      remove_tags
      field_updates
      tasks
      email_notifications
      webhooks

    • For get_records ,decision , start_state and end_state states, this field is null.
  • configured_propertiesJSON array

    Specifies the properties configured in the state. This key is returned only when the request includes the parameter include.  Refer the paramters section for more details. Each object contains:

    • detailsJSON object

      Specifies the merge field details.

    • typestring

      Specifies the type of configured property associated with the Kiosk state.

      Possible value: merge_field

  • transitions JSON array

    Specifies the transitions from the current state to the next state.The value will be null for End state. Each object contains name and id of the transition.

    • defaultstring

      This key is present in the transitions array of a Decision state. It indicates whether a transition represents the default path. Exactly one transition in the array has default set to true, while all other transitions have it set to false.

      Possible values:
      true
      false

Possible Errors

  • INVALID_DATA HTTP 400

    No such kiosks exists.
    Resolution: Specify a valid Kiosk ID in the request URL. You can get the list of valid Kiosk IDs using the Get Kiosks API.

  • INVALID_REQUEST HTTP 400

    Unable to process your request. Please verify whether you have entered proper method name, parameter and parameter values.
    Resolution: Specify valid parameter. Refer to the parameters section.

  • OAUTH_SCOPE_MISMATCHHTTP 401
    Invalid oauth scope to access this URL.
    Resolution: Create a new token with the required scopes. Refer to the scope section.
  • AUTHENTICATION_FAILUREHTTP 401
    Authentication Failed.
    Resolution: Pass the access token in the request header of the API call.

Sample Response

Copied{
    "states": [
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_3",
                    "id": "5039614000000913103",
                    "type": "field"
                },
                {
                    "api_name": "Industry",
                    "id": "5039614000000913112",
                    "type": "field"
                }
            ],
            "configured_properties": [
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.Industry}"
                    },
                    "type": "merge_field"
                }
            ],
            "from_transition": {
                "name": "Done",
                "id": "5039614000000913314"
            },
            "name": "Screen 2",
            "details": {
                "screen_details": {
                    "width": "670px",
                    "title": "Screen 2",
                    "button_align": "right_to_left"
                }
            },
            "id": "5039614000000913260",
            "type": "screen",
            "transitions": [
                {
                    "name": "Done",
                    "id": "5039614000000913300"
                }
            ]
        },
        {
            "associated_fields": null,
            "configured_properties": null,
            "from_transition": {
                "name": "Default",
                "id": "5039614000000989016"
            },
            "name": "Screen 8",
            "details": {
                "screen_details": {
                    "width": "670px",
                    "title": "Screen 8",
                    "button_align": "right_to_left"
                }
            },
            "id": "5039614000000989033",
            "type": "screen",
            "transitions": [
                {
                    "name": "Done",
                    "id": "5039614000000989032"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_1",
                    "id": "5039614000000913083"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "Action 2",
                "id": "5039614000000913302"
            },
            "name": "GetRecords 1",
            "details": null,
            "id": "5039614000000913261",
            "type": "get_records",
            "transitions": [
                {
                    "name": "GetRecords 1",
                    "id": "5039614000000913312"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_1",
                    "id": "5039614000000913083"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "GetRecords 4",
                "id": "5039614000000913304"
            },
            "name": "Action 1",
            "details": {
                "type": "field_updates"
            },
            "id": "5039614000000913264",
            "type": "action",
            "transitions": [
                {
                    "name": "Action 1",
                    "id": "5039614000000913306"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "CurrentRecord",
                    "id": "5039614000000913070"
                }
            ],
            "configured_properties": null,
            "from_transition": null,
            "name": "Action 2",
            "details": {
                "type": "open_record"
            },
            "id": "5039614000000913265",
            "type": "action",
            "transitions": [
                {
                    "name": "Action 2",
                    "id": "5039614000000913302"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_1",
                    "id": "5039614000000913083",
                    "type": "field"
                },
                {
                    "api_name": "Email_provided",
                    "id": "5039614000000913201",
                    "type": "field"
                },
                {
                    "api_name": "Phone_Number",
                    "id": "5039614000000913208",
                    "type": "field"
                },
                {
                    "api_name": "Pick_List_Field",
                    "id": "5039614000000913215",
                    "type": "field"
                }
            ],
            "configured_properties": [
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.Phone}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.Industry}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.First_Name}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!users.email}"
                    },
                    "type": "merge_field"
                }
            ],
            "from_transition": {
                "name": "Start",
                "id": "5039614000000913308"
            },
            "name": "Screen New",
            "details": {
                "screen_details": {
                    "width": "670px",
                    "title": "Screen 4",
                    "button_align": "right_to_left"
                }
            },
            "id": "5039614000000913267",
            "type": "screen",
            "transitions": [
                {
                    "name": "Done",
                    "id": "5039614000000913322"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_1",
                    "id": "5039614000000913083",
                    "type": "field"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "GetRecords 5",
                "id": "5039614000000913310"
            },
            "name": "Screen 3",
            "details": {
                "screen_details": {
                    "width": "670px",
                    "title": "Screen 3",
                    "button_align": "right_to_left"
                }
            },
            "id": "5039614000000913268",
            "type": "screen",
            "transitions": [
                {
                    "name": "Done",
                    "id": "5039614000000913314"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecordsLead",
                    "id": "5039614000000913119"
                }
            ],
            "configured_properties": [
                {
                    "details": {
                        "component_name": "Field Updates",
                        "name": "${!Test_Kiosk1.CurrentRecord.Deals_Created}"
                    },
                    "type": "merge_field"
                }
            ],
            "from_transition": {
                "name": "Assign Owner2",
                "id": "5039614000000913338"
            },
            "name": "Field Updates",
            "details": {
                "type": "field_updates"
            },
            "id": "5039614000000913269",
            "type": "action",
            "transitions": [
                {
                    "name": "Field Updates",
                    "id": "5039614000000913332"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "path_details": [
                        {
                            "name": "Exit path",
                            "id": "5039614000000989015"
                        }
                    ],
                    "api_name": "CurrentRecord",
                    "id": "5039614000000913070"
                }
            ],
            "configured_properties": [
                {
                    "details": {
                        "name": "${!Test_Kiosk1.Email_provided}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Test_Kiosk1.Pick_List}"
                    },
                    "type": "merge_field"
                }
            ],
            "from_transition": {
                "name": "Convert Action2",
                "id": "5039614000000981009"
            },
            "name": "Decision 1",
            "details": null,
            "id": "5039614000000989018",
            "type": "decision",
            "transitions": [
                {
                    "default": false,
                    "name": "EntryPath",
                    "id": "5039614000000989014"
                },
                {
                    "default": false,
                    "name": "Exit path",
                    "id": "5039614000000989015"
                },
                {
                    "default": true,
                    "name": "Default",
                    "id": "5039614000000989016"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "CurrentRecord",
                    "id": "5039614000000913070"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "OpenLink",
                "id": "5039614000000981023"
            },
            "name": "OpenRecord",
            "details": {
                "type": "open_record"
            },
            "id": "5039614000000983173",
            "type": "action",
            "transitions": [
                {
                    "name": "OpenRecord",
                    "id": "5039614000000983174"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_1",
                    "id": "5039614000000913083",
                    "type": "field"
                },
                {
                    "api_name": "Email",
                    "id": "5039614000000913137",
                    "type": "field"
                },
                {
                    "api_name": "Phone",
                    "id": "5039614000000913144",
                    "type": "field"
                },
                {
                    "api_name": "Pick_List",
                    "id": "5039614000000913151",
                    "type": "field"
                }
            ],
            "configured_properties": [
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.Phone}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.Industry}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.First_Name}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!users.email}"
                    },
                    "type": "merge_field"
                }
            ],
            "from_transition": {
                "name": "Done",
                "id": "5039614000000913322"
            },
            "name": "Screen 4",
            "details": {
                "screen_details": {
                    "width": "670px",
                    "title": "Screen 4",
                    "button_align": "right_to_left"
                }
            },
            "id": "5039614000000913271",
            "type": "screen",
            "transitions": [
                {
                    "name": "Done",
                    "id": "5039614000000913318"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecordsLead",
                    "id": "5039614000000913119"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "Email Notifcation",
                "id": "5039614000000983221"
            },
            "name": "Add tags",
            "details": {
                "type": "add_tags"
            },
            "id": "5039614000000989002",
            "type": "action",
            "transitions": [
                {
                    "name": "Add tags",
                    "id": "5039614000000989003"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_1",
                    "id": "5039614000000913083"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "Done",
                "id": "5039614000000913318"
            },
            "name": "Assign Owner2",
            "details": {
                "type": "assign_owner"
            },
            "id": "5039614000000913274",
            "type": "action",
            "transitions": [
                {
                    "name": "Assign Owner2",
                    "id": "5039614000000913338"
                }
            ]
        },
        {
            "associated_fields": null,
            "configured_properties": [
                {
                    "details": {
                        "name": "${!Test_Kiosk1.GetRecords_1.Owner}"
                    },
                    "type": "merge_field"
                }
            ],
            "from_transition": null,
            "name": "Screen 5",
            "details": {
                "screen_details": {
                    "width": "670px",
                    "title": "Screen 5",
                    "button_align": "right_to_left"
                }
            },
            "id": "5039614000000913275",
            "type": "screen",
            "transitions": [
                {
                    "name": "Done",
                    "id": "5039614000000913326"
                }
            ]
        },
        {
            "associated_fields": null,
            "configured_properties": [
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.Lead_Status}"
                    },
                    "type": "merge_field"
                }
            ],
            "from_transition": null,
            "name": "Screen 6",
            "details": {
                "screen_details": {
                    "width": "670px",
                    "title": "Screen 6",
                    "button_align": "right_to_left"
                }
            },
            "id": "5039614000000913276",
            "type": "screen",
            "transitions": [
                {
                    "name": "Done",
                    "id": "5039614000000913328"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_3",
                    "id": "5039614000000913103"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "GetRecords 1",
                "id": "5039614000000913312"
            },
            "name": "GetRecords 4",
            "details": null,
            "id": "5039614000000913256",
            "type": "get_records",
            "transitions": [
                {
                    "name": "GetRecords 4",
                    "id": "5039614000000913304"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_7",
                    "id": "5039614000000983158"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "Add Task",
                "id": "5039614000000981042"
            },
            "name": "Webhook Action",
            "details": {
                "type": "webhooks"
            },
            "id": "5039614000000983228",
            "type": "action",
            "transitions": [
                {
                    "name": "Webhook Action",
                    "id": "5039614000000983229"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_7",
                    "id": "5039614000000983158"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "OpenRecord",
                "id": "5039614000000983174"
            },
            "name": "Convert Action2",
            "details": {
                "type": "convert"
            },
            "id": "5039614000000981008",
            "type": "action",
            "transitions": [
                {
                    "name": "Convert Action2",
                    "id": "5039614000000981009"
                }
            ]
        },
        {
            "associated_fields": null,
            "configured_properties": null,
            "from_transition": null,
            "name": "Start",
            "details": null,
            "id": "5039614000000913257",
            "type": "start_state",
            "transitions": [
                {
                    "name": "Start",
                    "id": "5039614000000913308"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecordsLead",
                    "id": "5039614000000913119"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "CreateRecUserInput",
                "id": "5039614000000983146"
            },
            "name": "Add Task",
            "details": {
                "type": "tasks"
            },
            "id": "5039614000000981041",
            "type": "action",
            "transitions": [
                {
                    "name": "Add Task",
                    "id": "5039614000000981042"
                }
            ]
        },
        {
            "associated_fields": null,
            "configured_properties": null,
            "from_transition": {
                "name": "Done",
                "id": "5039614000000913300"
            },
            "name": "End",
            "details": null,
            "id": "5039614000000913258",
            "type": "end_state",
            "transitions": null
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecordsLead",
                    "id": "5039614000000913119"
                }
            ],
            "configured_properties": [
                {
                    "details": {
                        "component_name": "NewEmail_1",
                        "name": "${!Test_Kiosk1.CurrentRecord.First_Name}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Leads.Email}"
                    },
                    "type": "recipients"
                }
            ],
            "from_transition": {
                "name": "Webhook Action",
                "id": "5039614000000983229"
            },
            "name": "Email Notifcation",
            "details": {
                "type": "email_notifications"
            },
            "id": "5039614000000983220",
            "type": "action",
            "transitions": [
                {
                    "name": "Email Notifcation",
                    "id": "5039614000000983221"
                }
            ]
        },
        {
            "associated_fields": null,
            "configured_properties": null,
            "from_transition": {
                "name": "Exit path",
                "id": "5039614000000989015"
            },
            "name": "Screen 7",
            "details": {
                "screen_details": {
                    "width": "670px",
                    "title": "Screen 7",
                    "button_align": "right_to_left"
                }
            },
            "id": "5039614000000989029",
            "type": "screen",
            "transitions": [
                {
                    "name": "Done",
                    "id": "5039614000000989028"
                }
            ]
        },
        {
            "associated_fields": [
                {
                    "api_name": "GetRecords_5",
                    "id": "5039614000000913128"
                }
            ],
            "configured_properties": null,
            "from_transition": {
                "name": "EntryPath",
                "id": "5039614000000989014"
            },
            "name": "GetRecords 5",
            "details": null,
            "id": "5039614000000913259",
            "type": "get_records",
            "transitions": [
                {
                    "name": "GetRecords 5",
                    "id": "5039614000000913310"
                }
            ]
        },
        {
            "associated_fields": null,
            "configured_properties": [
                {
                    "details": {
                        "component_name": "OpenLink",
                        "name": "${!Test_Kiosk1.CurrentRecord.Website}"
                    },
                    "type": "merge_field"
                }
            ],
            "from_transition": {
                "name": "Add tags",
                "id": "5039614000000989003"
            },
            "name": "OpenLink",
            "details": {
                "type": "open_link"
            },
            "id": "5039614000000981022",
            "type": "action",
            "transitions": [
                {
                    "name": "OpenLink",
                    "id": "5039614000000981023"
                }
            ]
        },
        {
            "associated_fields": null,
            "configured_properties": [
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.Company}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.Last_Name}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.Mobile}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.First_Name}"
                    },
                    "type": "merge_field"
                },
                {
                    "details": {
                        "name": "${!Test_Kiosk1.CurrentRecord.Email}"
                    },
                    "type": "merge_field"
                }
            ],
            "from_transition": {
                "name": "Field Updates",
                "id": "5039614000000913332"
            },
            "name": "CreateRecUserInput",
            "details": {
                "type": "quick_create_record"
            },
            "id": "5039614000000983145",
            "type": "action",
            "transitions": [
                {
                    "name": "CreateRecUserInput",
                    "id": "5039614000000983146"
                }
            ]
        }
    ]
}